libepubgen::EPUBXMLContent Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libepubgen::EPUBXMLContent Class Reference

`#include <EPUBXMLContent.h>`

## Public Member Functions
| EPUBXMLContent ()
void | openElement (const char *name, const librevenge::RVNGPropertyList &attributes=librevenge::RVNGPropertyList())
void | closeElement (const char *name)
void | insertEmptyElement (const char *name, const librevenge::RVNGPropertyList &attributes=librevenge::RVNGPropertyList())
void | insertCharacters (const librevenge::RVNGString &characters)
void | append (const EPUBXMLContent &other)
void | writeTo (EPUBPackage &package, const char *name)
bool | empty () const

## Private Attributes
std::deque< std::shared_ptr< EPUBXMLElement > > | m_elements

## Constructor & Destructor Documentation

## ◆ EPUBXMLContent()

libepubgen::EPUBXMLContent::EPUBXMLContent | ( |  | ) |

## Member Function Documentation

## ◆ append()

void libepubgen::EPUBXMLContent::append | ( | const EPUBXMLContent & | other | ) |

## ◆ closeElement()

void libepubgen::EPUBXMLContent::closeElement | ( | const char * | name | ) |

Referenced by libepubgen::EPUBHTMLGenerator::closePopup(), insertEmptyElement(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBGenerator::writeRoot(), and libepubgen::EPUBHTMLManager::writeTocTo().

## ◆ empty()

bool libepubgen::EPUBXMLContent::empty | ( |  | ) | const

## ◆ insertCharacters()

void libepubgen::EPUBXMLContent::insertCharacters | ( | const librevenge::RVNGString & | characters | ) |

Referenced by libepubgen::EPUBHTMLGenerator::insertText(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), libepubgen::EPUBGenerator::writeRoot(), and libepubgen::EPUBHTMLManager::writeTocTo().

## ◆ insertEmptyElement()

void libepubgen::EPUBXMLContent::insertEmptyElement | ( | const char * | name,
|  | const librevenge::RVNGPropertyList & | attributes = `librevenge::RVNGPropertyList()`
| ) |  |

Referenced by libepubgen::EPUBHTMLGenerator::insertBinaryObject(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBHTMLManager::writeSpineTo(), libepubgen::EPUBManifest::writeTo(), and libepubgen::EPUBHTMLManager::writeTocTo().

## ◆ openElement()

void libepubgen::EPUBXMLContent::openElement | ( | const char * | name,
|  | const librevenge::RVNGPropertyList & | attributes = `librevenge::RVNGPropertyList()`
| ) |  |

Referenced by insertEmptyElement(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBGenerator::writeRoot(), and libepubgen::EPUBHTMLManager::writeTocTo().

## ◆ writeTo()

void libepubgen::EPUBXMLContent::writeTo | ( | EPUBPackage & | package,
|  | const char * | name
| ) |  |

Referenced by libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), and libepubgen::EPUBGenerator::writeRoot().

## Member Data Documentation

## ◆ m_elements

std::deque<std::shared_ptr<EPUBXMLElement> > libepubgen::EPUBXMLContent::m_elements
| private

Referenced by append(), closeElement(), empty(), insertCharacters(), openElement(), and writeTo().

The documentation for this class was generated from the following files:

- EPUBXMLContent.h
- EPUBXMLContent.cpp